#
# This is the configuration file for DAap - Davide Alberani AutoPoster
#
# You HAVE to edit this file.
#
# Since this file is imported by the script as a normal python
# module, edit carefully!
#


#--------------------------------------------------------------------
# First section:
# General configuration
#

# The directory containing the body of messages to post.
# You need r/w permission for this directory.
DAAP_DIR = '~/.daap/'

# post method.
# accepted values are: 'news', 'mail', 'inn', 'leafnode'
# these methods are tried in the specified order.
#
# 'news':     try via NNTP protocol
# 'inn':      use inews(1)
# 'leafnode': put a file in the spool dir
# 'mail':     send a mail to a gateway and/or with Newsgroups: header
#                *NOT IMPLEMENTED YET*
SEND_WITH = 'news', 'inn', 'leafnode'

# the news server (and port) used by 'news' method
NEWS_SERVER = 'localhost'
NNTP_PORT = 119

# 'mail' method (TODO)
#MAIL_ADDRESS = 'it.comp.linux.sys@somegateway.it'
#MAIL_SERVER = 'localhost'
#MAIL_PORT = 25

# Editor used in interactive mode.
# Leave it empty if you want to use the environment variable $EDITOR
EDITOR = 'vi'

# File where we save our history.
# If you don't like logs, use:
# LOG_FILE = ''
# or:
# LOG_FILE = '/dev/null'
LOG_FILE = DAAP_DIR + '/' + 'daap.log'

# an optional (don't remove: leave empty) Organization: header
organization_header = 'MadCow inc.'


#--------------------------------------------------------------------
# Second section:
# Messages
# 

# add random chars
import random
chrs = 'qwertyuiopasdfghjklzxcvbnmQWERTYUIOPASDFGHJKLZXCVBNM_1'
rc1 = random.choice(chrs)
rc2 = random.choice(chrs)

# Example of subject composition with a timestamp
from time import strftime, localtime
timestamp = strftime('%Y%m%d', localtime())
subject_fmt_daily = '[FAQ][%s] Link per i nuovi utenti di ICOLI'
subject_daily = subject_fmt_daily % timestamp
subject_fmt_saturday = '[FAQ][%s] Domande frequenti del newsgroup it.comp.os.linux.iniziare'
subject_saturday = subject_fmt_saturday % timestamp
# you can now use subject_daily and/or subject_saturday as variable subjects.


# this dictionary contains an entry (in the form "key: value") for
# every message you want to send.
post = {
    'icoli_faq':
        ('questo  il from','questo e` il subject', 'questi,i,newsgroups', 'Followup', 1),
    'test':
        ('The Pope <pope@vatican.va>','DAap test', 'it.test', 'poster', 1, 'X-It: mucca', 'X-I-Like: this'),
    # [1]
    'example': (
        # [2]
       'the pink pig <pink@pig.invalid>',
        # [3]
        '[FAQ] Read this FAQ and your pig will be happy!',
        # [4]
        'alt.fan.pigs,alt.fan.animals',
        # [5]
        'alt.fan.pigs',
        # [6]
        1,
        # [7]
        'X-Complaints-To: <abuse@my.address>',
        'X-I-Love_Pigs: yes'
        # [8]
        )
}

# You can use this entry as a skeleton to fit your needs.
#
# [1] this is the name of the file in DAAP_DIR directory
# containing the body of the message; you have to specify
# this name as daap command line option.
# e.g.: /usr/local/bin/daap example
#
# [2] the from of the message.
#
# [3] the subject of the message.
#
# [4] the group (or groups, separated by commas) where the
# message will be sent.
#
# [5] the Followup-To: header; you can leave it empty, or set
# this to a newsgroup, a mail address or a special
# keyword like 'poster' (in the latter case any reply will be send
# to the address in the From: header).
#
# [6] boolean: 0 if you don't want to override older message.
# When it's set to 1 a Supersedes: header with the value of the
# Message-ID of the previous post of the same kind is genarated;
# use this option if you're posting FAQ or other messages periodically
# and don't want messages to accumulate in the newsgroup.
#
# [7] one or more optional header, separated by commas.
# Good candidates are: 'Mime-Version: 1.0', 'Sender: your@email',
# 'Content-Type: text/plain; charset=us-ascii',
# 'Path: your.machine!not-for-mail'.
# If you don't need any supplementary headers, close the parenthesis
# right after [6].
#
# [8] you have to add a comma after this parenthesis to insert
# another entry.  A multiple entry configuration may look like that:
#
# post = {
#     'ng1-faq':
#         ('from for ng1','[faq] for ng1', 'alt.ng1', '', 0, 'X-I-am: stupid'),
#     'ng2-periodic':
#         ('from for ng2','how to use this group', 'alt.newbies', 'poster', 1),
#     'away':
#         ('from for ng2','Sorry: the moderator is away', 'my.group', 'alt.junk', 1)
# }
#

